## pim-data-exporter 25.12.1+p24.04+vstable+git20260130.1238

=== debian/changelog ===
pim-data-exporter (4:25.12.1+p24.04+vstable+git20260130.1238-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 12:38:05 +0000
