=== debian/changelog ===
pim-data-exporter (4:25.12.1+p24.04+vunstable+git20260204.0132-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 01:32:21 +0000
